/* File: bmpstruct.h

	Bitmaps Structures Definitions

	Copyright (C) 1996-2019 FUKUI, Toshio.
	This file is part of the emz2000 software.
	See copyright notice in the COPYING file.
*/

#ifndef __BMPSTURCT_H_INCLUDED
#define __BMPSTRUCT_H_INCLUDED

#undef USE_PRAGMAPACK

#define BYTE	unsigned char
#define WORD	unsigned short
#define LONG	int
#define DWORD	unsigned int

#define BI_RGB		0
#define BI_RLE8		1
#define BI_RLE4		2
#define BI_BITFIELDS	3

#ifdef USE_PRAGMAPACK
#pragma pack(push,2)
#endif

typedef struct tagRGBQUAD {
	BYTE	rgbBlue;
	BYTE	rgbGreen;
	BYTE	rgbRed;
	BYTE	rgbReserved;
} RGBQUAD;

typedef struct tagBITMAPINFOHEADER {
	DWORD	biSize;
	LONG	biWidth;
	LONG	biHeight;
	WORD	biPlanes;
	WORD	biBitCount;
	DWORD	biCompression;
	DWORD	biSizeImage;
	LONG	biXPelsPerMeter;
	LONG	biYPelsPerMeter;
	DWORD	biClrUsed;
	DWORD	biClrImportant;
} BITMAPINFOHEADER;

typedef BITMAPINFOHEADER * LPBITMAPINFOHEADER;

typedef struct {
	BITMAPINFOHEADER	bmiHeader;
	RGBQUAD			bmiColors[1];
} BITMAPINFO;

typedef BITMAPINFO * LPBITMAPINFO;

typedef struct tagBITMAPFILEHEADER {
	unsigned char bfType[2];
#ifdef USE_PRAGMAPACK
	DWORD   bfSize;
#else
	WORD	bfSize_l;
	WORD	bfSize_u;
#endif
	WORD	bfReserved1;
	WORD	bfReserved2;
#ifdef USE_PRAGMAPACK
	DWORD   bfOffBits;
#else
	WORD	bfOffBits_l;
	WORD	bfOffBits_u;
#endif

} BITMAPFILEHEADER;

typedef BITMAPFILEHEADER * LPBITMAPFILEHEADER;

#ifdef USE_PRAGMAPACK
#pragma pack(pop)
#endif

#undef BYTE
#undef WORD
#undef LONG
#undef DWORD

#endif /* __BMPSTRUCT_H_INCLUDED */

/*
	Local Variables:
	mode:c++
	c-set-style:"k&r"
	c-basic-offset:8
	tab-width:8
	End:
*/
