/* File: uigtk.h

	SHARP MZ-2000/2200/80B/B2 Emulator "emz2000"
		libgtk module headers for main routines UI

	Copyright (C) 2002-2019 FUKUI, Toshio.
	This file is part of the emz2000 software.
	See copyright notice in the COPYING file.
*/

#ifndef __UIGTK_H_INCLUDED
#define __UIGTK_H_INCLUDED

#include <gtk/gtk.h>

extern GtkWidget	*uigtk_window;
extern GtkActionGroup	*uigtk_actions;
extern MZ2000		*uigtk_mz;
extern gint uigtk_winx;
extern gint uigtk_winy;
extern gint uigtk_winadd_x;
extern gint uigtk_winadd_y;

/* initialized flags */
extern gint uigtk_enable_messagebox_flag;

extern int uigtk_exit( MZ2000 *mz );
extern int uigtk_init( MZ2000 *mz );
extern int uigtk_enable_messagebox( void );

/* for uigtk sub items */
#define UIGTK_IDCANCEL	-1
#define UIGTK_IDNO	0
#define UIGTK_IDYES	1
#define UIGTK_IDOK	2
/* uigtk_menu.c */
extern void uigtk_menu_quit( void );
extern int uigtk_menu_updateall( void );
extern void uigtk_create_menu( GtkWidget *vbox );
extern void uigtk_menu_savestate( void );
/* uigtk_filedlg.c */
enum {
	UIGTK_FILEMODE_OPEN = 0,
	UIGTK_FILEMODE_SAVE,
	UIGTK_FILEMODE_MAXNUM
};
enum {
	UIGTK_FILETYPE_DEFAULT = 0,
	UIGTK_FILETYPE_MZSTATE,
	UIGTK_FILETYPE_MZTAPE,
	UIGTK_FILETYPE_MZFD,
	UIGTK_FILETYPE_MZQD,
	UIGTK_FILETYPE_SSHOT,
	UIGTK_FILETYPE_MAXNUM
};
extern int uigtk_filedlg_domodal( const char *title, char *fnbuf, int fnbuf_max, int mode, int type );
/* uigtk_messagebox.c */
#define UIGTK_ICON_INFO		0x1000U
#define UIGTK_ICON_WARNING	0x2000U
#define UIGTK_ICON_QUESTION	0x4000U
#define UIGTK_ICON_ERROR	0x8000U
#define UIGTK_BUTTON_OK		0x0001U
#define UIGTK_BUTTON_CANCEL	0x0002U
#define UIGTK_BUTTON_YES	0x0004U
#define UIGTK_BUTTON_NO		0x0008U
#define UIGTK_BUTTON_DEFOK	0x0101U
#define UIGTK_BUTTON_DEFCANCEL	0x0202U
#define UIGTK_BUTTON_DEFYES	0x0404U
#define UIGTK_BUTTON_DEFNO	0x0808U
#define UIGTK_BUTTON_OKONLY	(UIGTK_BUTTON_OK | UIGTK_BUTTON_DEFOK)
#define UIGTK_BUTTON_OKCANCEL	(UIGTK_BUTTON_OK | UIGTK_BUTTON_CANCEL | UIGTK_BUTTON_DEFOK)
#define UIGTK_BUTTON_OKCANCELC	(UIGTK_BUTTON_OK | UIGTK_BUTTON_CANCEL | UIGTK_BUTTON_DEFCANCEL)
#define UIGTK_BUTTON_YESNO	(UIGTK_BUTTON_YES | UIGTK_BUTTON_NO | UIGTK_BUTTON_DEFYES)
#define UIGTK_BUTTON_YESNON	(UIGTK_BUTTON_YES | UIGTK_BUTTON_NO | UIGTK_BUTTON_DEFNO)
#define UIGTK_BUTTON_YESNOCANC	(UIGTK_BUTTON_YES | UIGTK_BUTTON_NO | UIGTK_BUTTON_CANCEL | UIGTK_BUTTON_DEFCANCEL)
extern int uigtk_messagebox( const char *message, const char *title, unsigned int attr );
/* uigtk_tapedlg.c */
extern int uigtk_tapedlg_domodal( MZ2000 *_mz );
/* uigtk_clockdlg.c */
extern int uigtk_clockdlg_domodal( MZ2000 *_mz );
/* uigtk_devicedlg.c */
extern int uigtk_devicedlg_domodal( MZ2000 *_mz );
/* uigtk_pastedlg.c */
extern int uigtk_pastedlg_domodal( MZ2000 *_mz );
/* uigtk_plugindlg.c */
extern int uigtk_plugindlg_domodal( MZ2000 *_mz );

#endif /* __UIGTK_H_INCLUDED */

/*
	Local Variables:
	mode:c++
	c-set-style:"k&r"
	c-basic-offset:8
	tab-width:8
	End:
*/
