/* File: wave_def.h

	Windows WAV format definitions

	Copyright (C) 2001-2019 FUKUI, Toshio.
	This file is part of the emz2000 software.
	See copyright notice in the COPYING file.
*/

#ifndef __WAVE_DEF_H_INCLUDED
#define __WAVE_DEF_H_INCLUDED

#if defined(_LANGUAGE_C_PLUS_PLUS) || defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif
#if 0
}
#endif

#pragma pack(push, 1)

#define WAVE_FORMAT_PCM		1

typedef struct {
	unsigned short wFormatTag;	/* 2byte */
	unsigned short nChannels;	/* 2byte */
	unsigned int   nSamplesPerSec;	/* 4byte */
	unsigned int   nAvgBytesPerSec;	/* 4byte */
	unsigned short nBlockAlign;	/* 2byte */
	unsigned short wBitsPerSample;	/* 2byte */
	unsigned short cbSize;		/* 2byte */
} WAVEFORMATEX;

#pragma pack(pop)

#if 0
{
#endif
#if defined(_LANGUAGE_C_PLUS_PLUS) || defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif /* __WAVE_DEF_H_INCLUDED */

/*
	Local Variables:
	mode:c++
	c-set-style:"k&r"
	c-basic-offset:8
	tab-width:8
	End:
*/
