#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "tape.h"

int error(char *argv);

int main(int argc, char **argv)
{
    TAPE *intp;
    FILE *outfp;
    char *infile, *outfile;

    if (argc < 3) error(argv[0]);
    infile = argv[1];
    outfile = argv[2];

    if ((intp = tropen(infile)) == NULL) {
	fprintf(stderr, "%s: Can't read file\n", infile);
	exit(1);
    }

    if ((outfp = fopen(outfile, "w")) == NULL) {
	fprintf(stderr, "%s: Can't write file\n", outfile);
	exit(1);
    }

    while(1) {
	int c;
	c = tskip(intp, 90);
	if (c == EOF) break;
	fputc((c == 0)? 0 : 0xff, outfp);
    };

    fclose(outfp);
    tclose(intp);
    return 0;
}

int error(char *argv)
{
    fprintf(stderr, "%s infile outfile\n", argv);
    exit(1);
}
